Skip to main content
PUT
Core - Replace a Model Fusion
Related guide: Model Fusion guide. See the Model Fusion guide for panels, presets, synthesis modes, and billing.Requires a Management Key with Model fusions access. A standard API Key is rejected.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model_fusion_id
string
required

Body

application/json
panel_models
string[]
required
judge_model
string
required
synthesis_mode
enum<string>
required
Available options:
MODEL_FUSION_SYNTHESIS_MODE_ANALYSIS,
MODEL_FUSION_SYNTHESIS_MODE_JUDGE_WRITES_FINAL
preset
enum<string>
required
Available options:
MODEL_FUSION_PRESET_GENERAL,
MODEL_FUSION_PRESET_QUALITY,
MODEL_FUSION_PRESET_BUDGET,
MODEL_FUSION_PRESET_CODE,
MODEL_FUSION_PRESET_SAFETY
web_tools
boolean
required
max_tool_calls
integer<int32>
required

Required. Must be between 0 and 20. Zero disables Fusion-managed tool calls.

feed_raw_to_synth
boolean
required
orchestrator_model
string

Required for analysis mode and omitted for judge_writes_final mode.

Response

OK

model_fusion
object
required